Subject: MIB document status (from AD viewpoint)

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 13 May 2003 21:23:15 +0200

This is where I think we are. I am using the revisions
of the documents as I have them.

Sorry Loa... I saw that you wanted to push various docs
to IESG... but authors are still working on them... so?

These are the ones I assume we need to get done:
      transmission -- RFC 2578 [RFC2578]
        |
        +- mplsStdMIB -- MPLS-TC-STD-MIB
        |    |
        |    +- mplsTCStdMIB -- MPLS-TC-STD-MIB
        |    |
        |    +- mplsLsrStdMIB -- MPLS-LSR-STD-MIB
        |    |
        |    +- mplsTeStdMIB -- MPLS-TE-STD-MIB
        |    |
        |    +- mplsLdpStdMIB -- MPLS-LDP-STD-MIB
        |    |
        |    +- mplsLdpAtmStdMIB -- MPLS-LDP-ATM-STD-MIB
        |    |
        |    +- mplsLdpFrameRelayStdMIB -- MPLS-LDP-FRAME-RELAY-STD-MIB
        |    |
        |    +- mplsLdpGenericStdMIB -- MPLS-LDP-GENERIC-STD-MIB
        |    |
        |    +- mplsFTNStdMIB -- MPLS-FTN-STD-MIB
        |
        +- teLinkStdMIB -- TE-LINK-STD-MIB

I believe most (if not all) docs still need to adapt to the new naming
scheme presented above (by Cheenu). That means changing the MIB Module
names and such, but also make sure that cross-references etc are updated.

- draft-ietf-mpls-tc-mib-06.txt
  Pretty good shape. We saw a few nits, and Joan has promised
  a revision 7.

- draft-ietf-mpls-lsr-mib-10-preview.txt
  I got a preview from tom. I have commented... I expect to see
  a WG version posted to internet-drafts rsn.
  I still need to do detailed review.

- draft-ietf-mpls-te-mib-10-preview.txt
  I got a preview from Arun, but in a word document.
  My mib checking tools do not work on WORD documents.
  I did a quick check. But this one seems to be FAR FROM ready.
  And many of the "issues/concerns" we have discussed for the
  whole set of MIB documents still return in this one.

- draft-ietf-mpls-ldp-mib-10.txt
  Contains 4 mib modules. I did a review and posted comments to the
  MPLS WG list a few days back. Joan will probably do another rev.

- draft-ietf-mpls-ftn-mib-06.txt
  I believe Cheenu already found a number of issues to be resolved.
  I have send additional comments

- draft-ietf-mpls-telink-mib-01.txt
  I have send a list of comments. Martin promised a new revision

Thanks,
Bert